Subject: Re: linux-next: build failure after merge of the userns tree

From: [email-masked] (Eric W. Biederman)
Date: Thu, 07 Oct 2021 13:56:43 -0500

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> After merging the userns tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> In file included from include/linux/kernel.h:19,
>                  from mm/debug.c:9:
> mm/debug.c: In function 'dump_mm':
> mm/debug.c:251:28: error: 'const struct mm_struct' has no member named 'core_state'
>   251 |   mm->binfmt, mm->flags, mm->core_state,
>       |                            ^~
> include/linux/printk.h:418:19: note: in definition of macro 'printk_index_wrap'
>   418 |   _p_func(_fmt, ##__VA_ARGS__);    \
>       |                   ^~~~~~~~~~~
> include/linux/printk.h:459:2: note: in expansion of macro 'printk'
>   459 |  printk(KERN_EMERG pr_fmt(fmt), ##__VA_ARGS__)
>       |  ^~~~~~
> mm/debug.c:208:2: note: in expansion of macro 'pr_emerg'
>   208 |  pr_emerg("mm %px mmap %px seqnum %llu task_size %lu\n"
>       |  ^~~~~~~~
>
> Caused by commit
>
>   483f2bb374b7 ("coredump: Limit coredumps to a single thread group")
>
> I have used the userns tree from next-20211006 for today.

Thanks for the catch.

I removed mm->core_state and apparently mm->debug was printing it out
for no apparent reason.

I will add a patch to remove the debug information as well.

Eric